return {
	-- "https://git.k4li.de/pika/telesnip.nvim",
	"pik4li/telesnip.nvim",
	dependencies = "nvim-telescope/telescope.nvim",
	branch = "main",
	opts = {
		-- ╭────────────────────────────────────────────────────────────────────────╮
		-- │ customize your custom_snippet_path (if you change the snippet_path     │
		-- │ you might break something, as this is the directory for the snippets   │
		-- │ inside the plugin folder)                                              │
		-- ╰────────────────────────────────────────────────────────────────────────╯
		-- snippet_path = "/path/to/your/snippets",
		-- custom_snippet_path = "~/.config/nvim/snippets/",
	},
	config = function(_, opts)
		require("telesnip").setup(opts)
	end,
	keys = {
		-- ─< just the standard two keybindings I configured. Be sure to make your own one, if you'd like >─
		{ "<leader>sm", "<cmd>TelesnipShowSnippets<CR>", desc = "Open Snippet Picker" },
		{ "<leader>cs", "<cmd>TelesnipCustomSnippet<CR>", desc = "Save Custom Snippet" },
		{ "<leader>cs", "<cmd>TelesnipCustomSnippet<CR>", mode = "v", desc = "Save Custom Snippet" },
	},
}
